Skip to main content
GET
/
automation-rules
List automation rules
curl --request GET \
  --url https://{your-subdomain}.neetocal.com/api/external/v2/automation-rules \
  --header 'X-Api-Key: <x-api-key>'
{
  "workflows": [
    {
      "id": "<string>",
      "name": "<string>",
      "meeting_ids": [
        "<string>"
      ]
    }
  ],
  "pagination": {
    "total_records": 123,
    "total_pages": 123,
    "current_page_number": 123,
    "page_size": 123
  }
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Identifying subdomain.

Headers

X-Api-Key
string
required

X-Api-Key is used to authenticate requests using an API key. Provide your API key in this header to access protected endpoints. Refer to Authentication for more information.

Query Parameters

page_number
integer

Retrieve paginated results by specifying the desired page number. If this parameter is absent, all results will be returned.

page_size
integer

Set the number of results returned in the response. Defaulting to 30 when omitted.

Response

200 - application/json

OK - Request succeeded

workflows
object[]

List of automation rules for the workspace.

pagination
object